Bug 168860 - [new driver] [request] Port the OpenBSD urtwn wireless driver (RealTek 8188CE)
Summary: [new driver] [request] Port the OpenBSD urtwn wireless driver (RealTek 8188CE)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-08 16:30 UTC by John Merryweather Cooper
Modified: 2015-09-14 20:50 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2012-06-08 16:30:17 UTC
The wireless on my HP G7 Laptop is currently not supported by FreeBSD, but there is an OpenBSD driver for it.  The Belkin dongle I have to use (zyd) is a pain, and I'd like to be able to use the built in wireless.

Fix: 

Need a driver.
How-To-Repeat: Hardware is not supported.  pciconf -l -v extract:

none1@pci0:1:0:0:       class=0x028000 card=0x1629103c chip=0x817610ec rev=0x01 hdr=0x00
    vendor     = 'Realtek Semiconductor Co., Ltd.'
    device     = 'RTL8188CE 802.11b/g/n WiFi Adapter'
    class      = network
Comment 1 John Merryweather Cooper 2012-06-10 03:27:42 UTC
It looks like, looking at the OpenBSD source, that the code for the 
8188CE is mostly in if_urtwn.c.  It looks to be effectively recognition 
of the chipset is what is needed, the urtw driver for the 8187 chips 
appears to have the guts of what is needed.

-- 
--
John M. Cooper
Comment 2 Bruno Ribeiro da Silva 2012-11-24 23:21:06 UTC
It would be nice to see the driver for Realtek 8188CE ported to FreeBSD,
actually is the only thing I need to start using FreeBSD as my main
environment for development!

-- 
Bruno Ribeiro da Silva
Python/Django/Java Developer
Homebrewer
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2013-02-24 23:06:20 UTC
State Changed
From-To: open->suspended

Mark suspended awaiting someone to generate patches.
Comment 4 Rui Paulo freebsd_committer 2014-03-27 21:19:38 UTC
State Changed
From-To: suspended->closed

Driver in FreeBSD 10.
Comment 5 Tony Narlock 2015-09-14 19:17:26 UTC
Are we sure this driver is in FreeBSD?

Please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=203104.

To my knowledge, there isn't 8188ce support. Is this not true?
Comment 6 Michael Zhilin 2015-09-14 20:50:12 UTC
Hi Tony,

You're right, there is no PCI driver for Realtek 8188CE in source tree, but there is USB driver for this chipset. 

AFAIK, there is no PCI driver in any BSD. The only I've found is source code of Linux driver (official and unofficial). 

I'm owner of lenovo p530i with this chipset and my dream is find or write WiFi driver for it. But I don't have experience of driver development, but I'm reading books and makes first steps.